/* Copyright 2009 Palm, Inc.  All rights reserved. */

function AppAssistant(appController) {
  Mojo.Log.info("====== BT AppAssistant ======");
  this.appController = appController;
  this.bt = new Bluetooth();
}

AppAssistant.prototype.handleLaunch = function(params){
  Mojo.Log.info("====== BT handleLaunch ======");
	var btStageController = Mojo.Controller.getAppController().getStageController('bluetooth');
	if (btStageController) {
		btStageController.window.focus(); 
	} else {
		var f = function(stageController) {
			stageController.pushScene('bluetooth');
		}
		Mojo.Controller.getAppController().createStageWithCallback({name: 'bluetooth'}, f);		
	}
}




